Subject: bug#15325: closed (Re: bug#15325: How does gzip reads/writes data from/to the file.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Sep 2013 18:16:04 +0000

Your bug report

#15325: How does gzip reads/writes data from/to the file.

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15325: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15325
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15325: How does gzip reads/writes data from/to the file.
From: Eric Blake <[email-masked]>
To: ddun <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Sep 2013 12:15:07 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 15325 notabug
thanks

On 09/10/2013 11:54 AM, ddun wrote:
> Hello,
> 
> I am trying to figure out what functions does gzip uses to read/write the
> data to/from the files. I saw that for error cases gzip was using *fprintf
> (stderr.. *but saw no fread/fscanf functions anywhere in the code.
> *
> *
> Can anyone point out the functions used by gzip to read/write to a file and
> in which code file are they.

Look for the lower-level read()/write() interface (Unix unbuffered file
I/O), not the higher-level fread() (C buffered file I/O).

I'm closing this as not a bug, so that it doesn't clog the bug tracker;
but feel free to continue to respond as you have other questions.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: How does gzip reads/writes data from/to the file.
From: ddun <[email-masked]>
To: [email-masked]
Date: Tue, 10 Sep 2013 13:54:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am trying to figure out what functions does gzip uses to read/write the
data to/from the files. I saw that for error cases gzip was using *fprintf
(stderr.. *but saw no fread/fscanf functions anywhere in the code.
*
*
Can anyone point out the functions used by gzip to read/write to a file and
in which code file are they.
*
*
Thanks* *